﻿namespace CustomWcfRestService
{
    public class Initializer : System.Data.Entity.DropCreateDatabaseIfModelChanges<Context>
    {
        protected override void Seed(Context context)
        {
            base.Seed(context);
            context.People.Add(
                new Person
                    {
                        FirstName = "John",
                        LastName = "Doe",
                    }
                );
            context.People.Add(
                new Person
                    {
                        FirstName = "Jane",
                        LastName = "Doe",
                    }
                );

            context.Users.Add(
                new User
                {
                    UserName = "me@you.com",
                    Password = "pw",
                }
                );
            context.SaveChanges();
        }
    }
}
